# Form implementation generated from reading ui file 'src/eric7/Project/PropertiesDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PropertiesDialog(object):
    def setupUi(self, PropertiesDialog):
        PropertiesDialog.setObjectName("PropertiesDialog")
        PropertiesDialog.resize(600, 700)
        PropertiesDialog.setMaximumSize(QtCore.QSize(16777215, 16777215))
        PropertiesDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(PropertiesDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.formLayout = QtWidgets.QFormLayout()
        self.formLayout.setObjectName("formLayout")
        self.nameLabel = QtWidgets.QLabel(parent=PropertiesDialog)
        self.nameLabel.setObjectName("nameLabel")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.ItemRole.LabelRole, self.nameLabel)
        self.nameEdit = QtWidgets.QLineEdit(parent=PropertiesDialog)
        self.nameEdit.setClearButtonEnabled(True)
        self.nameEdit.setObjectName("nameEdit")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.ItemRole.FieldRole, self.nameEdit)
        self.textLabel1 = QtWidgets.QLabel(parent=PropertiesDialog)
        self.textLabel1.setObjectName("textLabel1")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.ItemRole.LabelRole, self.textLabel1)
        self.languageComboBox = QtWidgets.QComboBox(parent=PropertiesDialog)
        self.languageComboBox.setObjectName("languageComboBox")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.ItemRole.FieldRole, self.languageComboBox)
        self.mixedLanguageCheckBox = QtWidgets.QCheckBox(parent=PropertiesDialog)
        self.mixedLanguageCheckBox.setObjectName("mixedLanguageCheckBox")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.ItemRole.FieldRole, self.mixedLanguageCheckBox)
        self.textLabel1_2 = QtWidgets.QLabel(parent=PropertiesDialog)
        self.textLabel1_2.setObjectName("textLabel1_2")
        self.formLayout.setWidget(3, QtWidgets.QFormLayout.ItemRole.LabelRole, self.textLabel1_2)
        self.projectTypeComboBox = QtWidgets.QComboBox(parent=PropertiesDialog)
        self.projectTypeComboBox.setObjectName("projectTypeComboBox")
        self.formLayout.setWidget(3, QtWidgets.QFormLayout.ItemRole.FieldRole, self.projectTypeComboBox)
        self.dirLabel = QtWidgets.QLabel(parent=PropertiesDialog)
        self.dirLabel.setObjectName("dirLabel")
        self.formLayout.setWidget(4, QtWidgets.QFormLayout.ItemRole.LabelRole, self.dirLabel)
        self.dirPicker = EricPathPicker(parent=PropertiesDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.dirPicker.sizePolicy().hasHeightForWidth())
        self.dirPicker.setSizePolicy(sizePolicy)
        self.dirPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.dirPicker.setObjectName("dirPicker")
        self.formLayout.setWidget(4, QtWidgets.QFormLayout.ItemRole.FieldRole, self.dirPicker)
        self.dirLabel_2 = QtWidgets.QLabel(parent=PropertiesDialog)
        self.dirLabel_2.setObjectName("dirLabel_2")
        self.formLayout.setWidget(5, QtWidgets.QFormLayout.ItemRole.LabelRole, self.dirLabel_2)
        self.srcDirPicker = EricPathPicker(parent=PropertiesDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.srcDirPicker.sizePolicy().hasHeightForWidth())
        self.srcDirPicker.setSizePolicy(sizePolicy)
        self.srcDirPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.srcDirPicker.setObjectName("srcDirPicker")
        self.formLayout.setWidget(5, QtWidgets.QFormLayout.ItemRole.FieldRole, self.srcDirPicker)
        self.versionLabel = QtWidgets.QLabel(parent=PropertiesDialog)
        self.versionLabel.setObjectName("versionLabel")
        self.formLayout.setWidget(6, QtWidgets.QFormLayout.ItemRole.LabelRole, self.versionLabel)
        self.versionEdit = QtWidgets.QLineEdit(parent=PropertiesDialog)
        self.versionEdit.setClearButtonEnabled(True)
        self.versionEdit.setObjectName("versionEdit")
        self.formLayout.setWidget(6, QtWidgets.QFormLayout.ItemRole.FieldRole, self.versionEdit)
        self.mainscriptLabel = QtWidgets.QLabel(parent=PropertiesDialog)
        self.mainscriptLabel.setObjectName("mainscriptLabel")
        self.formLayout.setWidget(7, QtWidgets.QFormLayout.ItemRole.LabelRole, self.mainscriptLabel)
        self.mainscriptPicker = EricPathPicker(parent=PropertiesDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.mainscriptPicker.sizePolicy().hasHeightForWidth())
        self.mainscriptPicker.setSizePolicy(sizePolicy)
        self.mainscriptPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.mainscriptPicker.setObjectName("mainscriptPicker")
        self.formLayout.setWidget(7, QtWidgets.QFormLayout.ItemRole.FieldRole, self.mainscriptPicker)
        self.eolLabel = QtWidgets.QLabel(parent=PropertiesDialog)
        self.eolLabel.setObjectName("eolLabel")
        self.formLayout.setWidget(8, QtWidgets.QFormLayout.ItemRole.LabelRole, self.eolLabel)
        self.eolComboBox = QtWidgets.QComboBox(parent=PropertiesDialog)
        self.eolComboBox.setObjectName("eolComboBox")
        self.eolComboBox.addItem("")
        self.eolComboBox.addItem("")
        self.eolComboBox.addItem("")
        self.eolComboBox.addItem("")
        self.formLayout.setWidget(8, QtWidgets.QFormLayout.ItemRole.FieldRole, self.eolComboBox)
        self.label = QtWidgets.QLabel(parent=PropertiesDialog)
        self.label.setObjectName("label")
        self.formLayout.setWidget(9, QtWidgets.QFormLayout.ItemRole.LabelRole, self.label)
        self.docstringStyleComboBox = QtWidgets.QComboBox(parent=PropertiesDialog)
        self.docstringStyleComboBox.setObjectName("docstringStyleComboBox")
        self.formLayout.setWidget(9, QtWidgets.QFormLayout.ItemRole.FieldRole, self.docstringStyleComboBox)
        self.authorLabel = QtWidgets.QLabel(parent=PropertiesDialog)
        self.authorLabel.setObjectName("authorLabel")
        self.formLayout.setWidget(10, QtWidgets.QFormLayout.ItemRole.LabelRole, self.authorLabel)
        self.authorEdit = QtWidgets.QLineEdit(parent=PropertiesDialog)
        self.authorEdit.setClearButtonEnabled(True)
        self.authorEdit.setObjectName("authorEdit")
        self.formLayout.setWidget(10, QtWidgets.QFormLayout.ItemRole.FieldRole, self.authorEdit)
        self.emailLabel = QtWidgets.QLabel(parent=PropertiesDialog)
        self.emailLabel.setObjectName("emailLabel")
        self.formLayout.setWidget(11, QtWidgets.QFormLayout.ItemRole.LabelRole, self.emailLabel)
        self.emailEdit = QtWidgets.QLineEdit(parent=PropertiesDialog)
        self.emailEdit.setClearButtonEnabled(True)
        self.emailEdit.setObjectName("emailEdit")
        self.formLayout.setWidget(11, QtWidgets.QFormLayout.ItemRole.FieldRole, self.emailEdit)
        self.descriptionLabel = QtWidgets.QLabel(parent=PropertiesDialog)
        self.descriptionLabel.setAlignment(QtCore.Qt.AlignmentFlag.AlignTop)
        self.descriptionLabel.setObjectName("descriptionLabel")
        self.formLayout.setWidget(12, QtWidgets.QFormLayout.ItemRole.LabelRole, self.descriptionLabel)
        self.descriptionEdit = EricSpellCheckedTextEdit(parent=PropertiesDialog)
        self.descriptionEdit.setTabChangesFocus(True)
        self.descriptionEdit.setAcceptRichText(False)
        self.descriptionEdit.setObjectName("descriptionEdit")
        self.formLayout.setWidget(12, QtWidgets.QFormLayout.ItemRole.FieldRole, self.descriptionEdit)
        self.label_2 = QtWidgets.QLabel(parent=PropertiesDialog)
        self.label_2.setObjectName("label_2")
        self.formLayout.setWidget(13, QtWidgets.QFormLayout.ItemRole.LabelRole, self.label_2)
        self.testingFrameworkComboBox = QtWidgets.QComboBox(parent=PropertiesDialog)
        self.testingFrameworkComboBox.setObjectName("testingFrameworkComboBox")
        self.formLayout.setWidget(13, QtWidgets.QFormLayout.ItemRole.FieldRole, self.testingFrameworkComboBox)
        self.label_3 = QtWidgets.QLabel(parent=PropertiesDialog)
        self.label_3.setObjectName("label_3")
        self.formLayout.setWidget(14, QtWidgets.QFormLayout.ItemRole.LabelRole, self.label_3)
        self.licenseComboBox = QtWidgets.QComboBox(parent=PropertiesDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.licenseComboBox.sizePolicy().hasHeightForWidth())
        self.licenseComboBox.setSizePolicy(sizePolicy)
        self.licenseComboBox.setEditable(True)
        self.licenseComboBox.setObjectName("licenseComboBox")
        self.formLayout.setWidget(14, QtWidgets.QFormLayout.ItemRole.FieldRole, self.licenseComboBox)
        self.verticalLayout.addLayout(self.formLayout)
        self.embeddedVenvCheckBox = QtWidgets.QCheckBox(parent=PropertiesDialog)
        self.embeddedVenvCheckBox.setObjectName("embeddedVenvCheckBox")
        self.verticalLayout.addWidget(self.embeddedVenvCheckBox)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem)
        self.spellPropertiesButton = QtWidgets.QPushButton(parent=PropertiesDialog)
        self.spellPropertiesButton.setObjectName("spellPropertiesButton")
        self.horizontalLayout_3.addWidget(self.spellPropertiesButton)
        self.transPropertiesButton = QtWidgets.QPushButton(parent=PropertiesDialog)
        self.transPropertiesButton.setObjectName("transPropertiesButton")
        self.horizontalLayout_3.addWidget(self.transPropertiesButton)
        self.filetypesButton = QtWidgets.QPushButton(parent=PropertiesDialog)
        self.filetypesButton.setObjectName("filetypesButton")
        self.horizontalLayout_3.addWidget(self.filetypesButton)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem1)
        self.verticalLayout.addLayout(self.horizontalLayout_3)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.makeCheckBox = QtWidgets.QCheckBox(parent=PropertiesDialog)
        self.makeCheckBox.setObjectName("makeCheckBox")
        self.horizontalLayout.addWidget(self.makeCheckBox)
        self.makeButton = QtWidgets.QToolButton(parent=PropertiesDialog)
        self.makeButton.setEnabled(False)
        self.makeButton.setText("")
        self.makeButton.setObjectName("makeButton")
        self.horizontalLayout.addWidget(self.makeButton)
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem2)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.vcsCheckBox = QtWidgets.QCheckBox(parent=PropertiesDialog)
        self.vcsCheckBox.setObjectName("vcsCheckBox")
        self.verticalLayout.addWidget(self.vcsCheckBox)
        self._2 = QtWidgets.QHBoxLayout()
        self._2.setObjectName("_2")
        self.vcsLabel = QtWidgets.QLabel(parent=PropertiesDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.MinimumExpanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.vcsLabel.sizePolicy().hasHeightForWidth())
        self.vcsLabel.setSizePolicy(sizePolicy)
        self.vcsLabel.setText("")
        self.vcsLabel.setObjectName("vcsLabel")
        self._2.addWidget(self.vcsLabel)
        self.vcsInfoButton = QtWidgets.QPushButton(parent=PropertiesDialog)
        self.vcsInfoButton.setObjectName("vcsInfoButton")
        self._2.addWidget(self.vcsInfoButton)
        self.verticalLayout.addLayout(self._2)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=PropertiesDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)
        self.nameLabel.setBuddy(self.nameEdit)
        self.textLabel1.setBuddy(self.languageComboBox)
        self.textLabel1_2.setBuddy(self.projectTypeComboBox)
        self.dirLabel.setBuddy(self.dirPicker)
        self.dirLabel_2.setBuddy(self.dirPicker)
        self.versionLabel.setBuddy(self.versionEdit)
        self.mainscriptLabel.setBuddy(self.mainscriptPicker)
        self.eolLabel.setBuddy(self.eolComboBox)
        self.authorLabel.setBuddy(self.authorEdit)
        self.emailLabel.setBuddy(self.emailEdit)
        self.descriptionLabel.setBuddy(self.descriptionEdit)

        self.retranslateUi(PropertiesDialog)
        self.buttonBox.accepted.connect(PropertiesDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(PropertiesDialog.reject) # type: ignore
        self.makeCheckBox.toggled['bool'].connect(self.makeButton.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(PropertiesDialog)
        PropertiesDialog.setTabOrder(self.nameEdit, self.languageComboBox)
        PropertiesDialog.setTabOrder(self.languageComboBox, self.mixedLanguageCheckBox)
        PropertiesDialog.setTabOrder(self.mixedLanguageCheckBox, self.projectTypeComboBox)
        PropertiesDialog.setTabOrder(self.projectTypeComboBox, self.dirPicker)
        PropertiesDialog.setTabOrder(self.dirPicker, self.srcDirPicker)
        PropertiesDialog.setTabOrder(self.srcDirPicker, self.versionEdit)
        PropertiesDialog.setTabOrder(self.versionEdit, self.mainscriptPicker)
        PropertiesDialog.setTabOrder(self.mainscriptPicker, self.eolComboBox)
        PropertiesDialog.setTabOrder(self.eolComboBox, self.docstringStyleComboBox)
        PropertiesDialog.setTabOrder(self.docstringStyleComboBox, self.authorEdit)
        PropertiesDialog.setTabOrder(self.authorEdit, self.emailEdit)
        PropertiesDialog.setTabOrder(self.emailEdit, self.descriptionEdit)
        PropertiesDialog.setTabOrder(self.descriptionEdit, self.testingFrameworkComboBox)
        PropertiesDialog.setTabOrder(self.testingFrameworkComboBox, self.licenseComboBox)
        PropertiesDialog.setTabOrder(self.licenseComboBox, self.embeddedVenvCheckBox)
        PropertiesDialog.setTabOrder(self.embeddedVenvCheckBox, self.spellPropertiesButton)
        PropertiesDialog.setTabOrder(self.spellPropertiesButton, self.transPropertiesButton)
        PropertiesDialog.setTabOrder(self.transPropertiesButton, self.filetypesButton)
        PropertiesDialog.setTabOrder(self.filetypesButton, self.makeCheckBox)
        PropertiesDialog.setTabOrder(self.makeCheckBox, self.makeButton)
        PropertiesDialog.setTabOrder(self.makeButton, self.vcsCheckBox)
        PropertiesDialog.setTabOrder(self.vcsCheckBox, self.vcsInfoButton)

    def retranslateUi(self, PropertiesDialog):
        _translate = QtCore.QCoreApplication.translate
        PropertiesDialog.setWindowTitle(_translate("PropertiesDialog", "Project Properties"))
        PropertiesDialog.setWhatsThis(_translate("PropertiesDialog", "<b>Project Properties Dialog</b>\n"
"<p>This dialog is used to show and edit the projects properties.</p>\n"
"<p>If the project is controlled by a version control system, the \"Show Repository Info\" button displays information about the repository.</p>"))
        self.nameLabel.setText(_translate("PropertiesDialog", "Project &Name:"))
        self.nameEdit.setToolTip(_translate("PropertiesDialog", "Enter the project name"))
        self.nameEdit.setWhatsThis(_translate("PropertiesDialog", "<b>Project Name</b>\n"
"<p>Enter the project name</p>"))
        self.textLabel1.setText(_translate("PropertiesDialog", "&Programming Language:"))
        self.languageComboBox.setToolTip(_translate("PropertiesDialog", "Select the project\'s programming language"))
        self.mixedLanguageCheckBox.setToolTip(_translate("PropertiesDialog", "Select, if the project uses other programming languages as well"))
        self.mixedLanguageCheckBox.setText(_translate("PropertiesDialog", "Mi&xed programming languages"))
        self.mixedLanguageCheckBox.setShortcut(_translate("PropertiesDialog", "Alt+X"))
        self.textLabel1_2.setText(_translate("PropertiesDialog", "Project &Type:"))
        self.projectTypeComboBox.setToolTip(_translate("PropertiesDialog", "Select the type of the project"))
        self.dirLabel.setText(_translate("PropertiesDialog", "Project &Directory:"))
        self.dirPicker.setToolTip(_translate("PropertiesDialog", "Enter the project directory"))
        self.dirPicker.setWhatsThis(_translate("PropertiesDialog", "<b>Project Directory</b>\n"
"<p>Enter the project directory. You may select it\n"
" with a dialog by pressing the button to the right.</p>"))
        self.dirLabel_2.setText(_translate("PropertiesDialog", "Project &Sources Directory:"))
        self.srcDirPicker.setToolTip(_translate("PropertiesDialog", "Enter the project sources subdirectory (leave empty, if sources are directly in the project directory)."))
        self.srcDirPicker.setWhatsThis(_translate("PropertiesDialog", "<b>Project Directory</b>\n"
"<p>Enter the project directory. You may select it\n"
" with a dialog by pressing the button to the right.</p>"))
        self.versionLabel.setText(_translate("PropertiesDialog", "&Version No.:"))
        self.versionEdit.setToolTip(_translate("PropertiesDialog", "Enter the version number"))
        self.versionEdit.setWhatsThis(_translate("PropertiesDialog", "<b>Version No.</b>\n"
"<p>Enter the version no.</p>"))
        self.mainscriptLabel.setText(_translate("PropertiesDialog", "&Main Script:"))
        self.mainscriptPicker.setToolTip(_translate("PropertiesDialog", "Enter the main script"))
        self.mainscriptPicker.setWhatsThis(_translate("PropertiesDialog", "<b>Main Script</b>\n"
"<p>Enter the main script of the project. You may select it\n"
" with a dialog by pressing the button to the right.</p>"))
        self.eolLabel.setText(_translate("PropertiesDialog", "End of &Line Character:"))
        self.eolComboBox.setToolTip(_translate("PropertiesDialog", "Select the end of line character to be used by the project"))
        self.eolComboBox.setItemText(0, _translate("PropertiesDialog", "System"))
        self.eolComboBox.setItemText(1, _translate("PropertiesDialog", "Unix"))
        self.eolComboBox.setItemText(2, _translate("PropertiesDialog", "Macintosh"))
        self.eolComboBox.setItemText(3, _translate("PropertiesDialog", "Windows/DOS"))
        self.label.setText(_translate("PropertiesDialog", "Docstring Style:"))
        self.docstringStyleComboBox.setToolTip(_translate("PropertiesDialog", "Select the docstring style for the project"))
        self.authorLabel.setText(_translate("PropertiesDialog", "&Author:"))
        self.authorEdit.setToolTip(_translate("PropertiesDialog", "Enter author\'s name"))
        self.authorEdit.setWhatsThis(_translate("PropertiesDialog", "<b>Author</b>\n"
"<p>Enter the name of the author.</p>"))
        self.emailLabel.setText(_translate("PropertiesDialog", "&Email:"))
        self.emailEdit.setToolTip(_translate("PropertiesDialog", "Enter author\'s email"))
        self.emailEdit.setWhatsThis(_translate("PropertiesDialog", "<b>Email</b>\n"
"<p>Enter the email address of the author</p>"))
        self.descriptionLabel.setText(_translate("PropertiesDialog", "&Description:"))
        self.descriptionEdit.setToolTip(_translate("PropertiesDialog", "Enter description"))
        self.descriptionEdit.setWhatsThis(_translate("PropertiesDialog", "<b>Description</b>\n"
"<p>Enter a short description for the project.</p>"))
        self.label_2.setText(_translate("PropertiesDialog", "Testing Framework:"))
        self.testingFrameworkComboBox.setToolTip(_translate("PropertiesDialog", "Select the testing framework used by the project"))
        self.label_3.setText(_translate("PropertiesDialog", "License:"))
        self.licenseComboBox.setToolTip(_translate("PropertiesDialog", "Enter or select the project license"))
        self.embeddedVenvCheckBox.setToolTip(_translate("PropertiesDialog", "Select this to create and use a project embedded virtual environment"))
        self.embeddedVenvCheckBox.setText(_translate("PropertiesDialog", "Use embedded virtual environment"))
        self.spellPropertiesButton.setToolTip(_translate("PropertiesDialog", "Press to edit the spell checking properties"))
        self.spellPropertiesButton.setText(_translate("PropertiesDialog", "Spell Checking..."))
        self.transPropertiesButton.setToolTip(_translate("PropertiesDialog", "Press to edit the translations properties"))
        self.transPropertiesButton.setText(_translate("PropertiesDialog", "Translations..."))
        self.filetypesButton.setToolTip(_translate("PropertiesDialog", "Press to edit the filetype associations"))
        self.filetypesButton.setText(_translate("PropertiesDialog", "Filetype Associations..."))
        self.makeCheckBox.setToolTip(_translate("PropertiesDialog", "Select to activate the \'make\' support"))
        self.makeCheckBox.setText(_translate("PropertiesDialog", "Enable \'make\' Support"))
        self.makeButton.setToolTip(_translate("PropertiesDialog", "Press to open a dialog to enter the \'make\' parameters"))
        self.vcsCheckBox.setToolTip(_translate("PropertiesDialog", "Select to create a version controlled project"))
        self.vcsCheckBox.setText(_translate("PropertiesDialog", "Version Controlled Project"))
        self.vcsInfoButton.setToolTip(_translate("PropertiesDialog", "Press to show information about the repository"))
        self.vcsInfoButton.setText(_translate("PropertiesDialog", "Show &Repository Info"))
        self.vcsInfoButton.setShortcut(_translate("PropertiesDialog", "Alt+R"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
from eric7.EricWidgets.EricSpellCheckedTextEdit import EricSpellCheckedTextEdit
